summaryrefslogtreecommitdiffstats
path: root/contrib/ifplugd.action
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/ifplugd.action')
-rwxr-xr-xcontrib/ifplugd.action26
1 files changed, 26 insertions, 0 deletions
diff --git a/contrib/ifplugd.action b/contrib/ifplugd.action
new file mode 100755
index 0000000..720b576
--- /dev/null
+++ b/contrib/ifplugd.action
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# /etc/ifplugd/ifplugd.action script for Arch Linux
+# can replace the one that comes with extra/ifplugd
+
+# . /etc/rc.conf
+# . /etc/rc.d/functions
+
+case "$2" in
+ up)
+ if [ "${1:0:3}" == eth ]; then
+ /usr/bin/netcfg "myethernet" # replace with name of your desired profile
+ fi
+ ;;
+ down)
+ /usr/bin/netcfg iface-down "$1"
+ /sbin/ifconfig "$1" down # note that we'll return 0 even if the netcfg call failed, e.g. because iface was already down
+ # hence no "failure" messages to syslog
+ ;;
+ *)
+ echo "Wrong arguments" > /dev/stderr
+ exit 1
+ ;;
+esac
+
+# vim: ft=sh ts=4 et sw=4: